/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.osgi.launcher.core;

import org.ow2.util.maven.osgi.launcher.api.ILauncher;


/**
 * Common stuff of launchers.
 * @author Florent BENOIT.
 */
public abstract class AbsLauncher implements ILauncher {

    /**
     * Seconds is 1000 millis.
     */
    public static final long SECONDS = 1000L;


    /**
     * Configuration object.
     */
    private Configuration configuration = null;

    /**
     * Build a launcher with the given configuration object.
     * @param configuration the given configuration
     */
    public AbsLauncher(final Configuration configuration) {
        this.configuration = configuration;
    }


    /**
     * Gets the configuration used by this launcher.
     * @return the configuration.
     */
    public Configuration getConfiguration() {
        return configuration;
    }

}
