/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.osgi.launcher.core;

import java.io.Serializable;

/**
 * Description of a bundle (like URL, start ?, start level, etc)
 * @author Florent Benoit
 */
public class BundleDesc implements Serializable{


    /**
     *
     */
    private static final long serialVersionUID = 1229097274721866426L;


    public int getStartLevel() {
        return startLevel;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(final String location) {
        this.location = location;
    }

    public void setStartLevel(final int startLevel) {
        this.startLevel = startLevel;
    }

    public boolean isStart() {
        return start;
    }

    public void setStart(final boolean start) {
        this.start = start;
    }

    private String location = null;

    private int startLevel = 0;

    private boolean start = true;

    private boolean useReference = true;


    public boolean isUseReference() {
        return useReference;
    }

    public void setUseReference(final boolean useReference) {
        this.useReference = useReference;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder(BundleDesc.class.getSimpleName());
        sb.append("[location=");
        sb.append(location);
        sb.append(", start=");
        sb.append(start);
        sb.append(", startLevel=");
        sb.append(startLevel);
        sb.append(", useReference=");
        sb.append(useReference);
        sb.append("]");
        return sb.toString();
    }

}
