/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.osgi.launcher.core;

/**
 * Debug option.
 * @author Gael Lalire
 */
public class Debug {

    /**
     * True if debug is enabled.
     */
    private boolean enabled = false;

    /**
     * Port to use for remote debuging.
     */
    private Integer port;

    /**
     * Wait for connection on debug port.
     */
    private boolean suspend = true;

    /**
     * @return true if wait for connection on debug port
     */
    public boolean isSuspend() {
        return suspend;
    }

    /**
     * @param suspend true if you want to wait for connection on debug port
     */
    public void setSuspend(final boolean suspend) {
        this.suspend = suspend;
    }

    /**
     * @return true if debug should be enabled
     */
    public boolean isEnabled() {
        return enabled;
    }

    /**
     * @param enabled true if you want to debug
     */
    public void setEnabled(final boolean enabled) {
        this.enabled = enabled;
    }

    /**
     * @return port to use for remote debug
     */
    public Integer getPort() {
        return port;
    }

    /**
     * @param port the new port to use for remote debug
     */
    public void setPort(final Integer port) {
        this.port = port;
    }

}
