/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.osgi.fwkslauncher.core;

import java.net.URL;

import org.ow2.util.maven.osgi.launcher.core.Configuration;
import org.ow2.util.maven.osgi.launcher.core.Debug;
import org.ow2.util.maven.osgi.launcher.core.RemoteLauncher;

/**
 * The remote framework launcher.
 * @author eyindanga
 */
public class FwksRemoteLauncher extends RemoteLauncher implements IFwksLauncher{
    /**
     * Constructor.
     * @param classpathURLs the calsspath urls.
     * @param configuration the framework's configuration
     * @param debug the debug configuration.
     */
    public FwksRemoteLauncher(final URL[] classpathURLs, final Configuration configuration, final Debug debug) {
        super(classpathURLs, configuration, debug);
        setWaitTimeAfterStop(configuration.getWaitAfterStart() + AbsMojo.SECONDS);
    }

    /**
     * time to wait after stop.
     */
    private long waitTimeAfterStop;

    /**
     * @return the waitTimeAfterStop
     */
    public long getWaitTimeAfterStop() {
        return waitTimeAfterStop;
    }

    /**
     * @param waitTimeAfterStop the waitTimeAfterStop to set
     */
    public void setWaitTimeAfterStop(final long waitTimeAfterStop) {
        this.waitTimeAfterStop = waitTimeAfterStop;
    }


}
