/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.osgi.fwkslauncher.core;

import java.io.Serializable;
import java.util.List;

/**
 * @author eyindanga
 *
 */
public class Parallel implements Serializable {

    /**
     * Serial UID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Start these frameworks in parallel.
     */
    private List<String> frameworkIds = null;

    /**
     * @return the frameworkId
     */
    public List<String> getFrameworkIds() {
        return frameworkIds;
    }

    /**
     * @param frameworkId the frameworkId to set
     */
    public void setFrameworkIds(final List<String> frameworkId) {
        this.frameworkIds = frameworkId;
    }

}
